HttpRequestPool::send
HttpRequestPool::socketSelect
HttpRequestPool
PHP Manual

# HttpRequestPool::socketPerform

(PECL pecl_http >= 0.15.0)

HttpRequestPool::socketPerform — Perform socket actions

### Description

protected bool HttpRequestPool::socketPerform ( void )

Returns `TRUE` until each request has finished its transaction.

### Return Values

Returns `TRUE` until each request has finished its transaction.

### Examples

Example #1 A HttpRequestPool::socketPerform() example

`<?php
class MyPool extends HttpRequestPool
{
public function send()
{
while ($this->socketPerform()) {
if (!$this->socketSelect()) {
throw new HttpSocketExcpetion;
}
}
}
protected final function socketPerform()
{
$result = parent::socketPerform();
foreach ($this->getFinishedRequests() as $r) {
$this->detach($r);
// handle response of finished request
}
return $result;
}
}
?>`

HttpRequestPool::send
HttpRequestPool::socketSelect
HttpRequestPool
PHP Manual